com.lowagie.rups.model

## Class ObjectLoader

- java.lang.Object
- - com.lowagie.rups.model.BackgroundTask
  - - com.lowagie.rups.model.ObjectLoader

-     public class ObjectLoader
      extends BackgroundTask

  Loads the necessary iText PDF objects in Background.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TreeNodeFactory` | `nodes` The factory that can provide tree nodes.
    `protected IndirectObjectFactory` | `objects` The factory that can provide PDF objects.
    `protected java.util.Observable` | `observable` This is the object that will forward the updates to the observers.
    `protected PdfReader` | `reader` iText's PdfReader object.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectLoader(java.util.Observable observable, PdfReader reader)` Creates a new ObjectLoader.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doTask()` Implement this class; the time-consuming task will go here.
    `TreeNodeFactory` | `getNodes()` Getter for the tree node factory.
    `IndirectObjectFactory` | `getObjects()` Getter for the object factory.
    `PdfReader` | `getReader()` Getter for the PdfReader object.

    - ### Methods inherited from class com.lowagie.rups.model.BackgroundTask

      `finished, interrupt, start`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### observable

          protected java.util.Observable observable

      This is the object that will forward the updates to the observers.

    - #### reader

          protected PdfReader reader

      iText's PdfReader object.

    - #### objects

          protected IndirectObjectFactory objects

      The factory that can provide PDF objects.

    - #### nodes

          protected TreeNodeFactory nodes

      The factory that can provide tree nodes.

  - ### Constructor Detail

    - #### ObjectLoader

          public ObjectLoader(java.util.Observable observable,
                      PdfReader reader)

      Creates a new ObjectLoader.
      Parameters:
        `observable` - the object that will forward the changes.
        `reader` - the PdfReader from which the objects will be read.

  - ### Method Detail

    - #### getReader

          public PdfReader getReader()

      Getter for the PdfReader object.
      Returns:
        a reader object

    - #### getObjects

          public IndirectObjectFactory getObjects()

      Getter for the object factory.
      Returns:
        an indirect object factory

    - #### getNodes

          public TreeNodeFactory getNodes()

      Getter for the tree node factory.
      Returns:
        a tree node factory

    - #### doTask

          public void doTask()

      Description copied from class: `BackgroundTask`
      Implement this class; the time-consuming task will go here.
      Specified by:
        `doTask` in class `BackgroundTask`
      See Also:
        `BackgroundTask.doTask()`